org.freedesktop.ConsoleKit.Seat

# org.freedesktop.ConsoleKit.Seat

Seat interface

## Methods

    GetId               (out 'o'     sid)
    GetName             (out 's'     name)
    GetSessions         (out 'ao'    sessions)
    GetDevices          (out 'a(ss)' devices)
    GetActiveSession    (out 'o'     ssid)
    CanActivateSessions (out 'b'     can_activate)
    ActivateSession     (in  'o'     ssid)
    SwitchTo            (in  'u'     vtnr)

## Signals

    ActiveSessionChanged ('o'    ssid)
    SessionAdded         ('o'    ssid)
    SessionRemoved       ('o'    ssid)
    DeviceAdded          ('(ss)' device)
    DeviceRemoved        ('(ss)' device)

## Implemented Interfaces

Objects implementing org.freedesktop.ConsoleKit.Seat also implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Properties

    'name' read      's'

## Description

A seat is a collection of sessions and a set of hardware (usually at least a keyboard and mouse). Only one session may be active on a seat at a time.

## Details

### GetId ()

    GetId (out 'o' sid)

Returns the ID for Seat.

`sid`:

  Seat ID

### GetName ()

    GetName (out 's' name)

Returns the name for Seat, such as Seat0.

Since 1.1.1

`name`:

  Seat Name

### GetSessions ()

    GetSessions (out 'ao' sessions)

This gets a list of all the Sessions that are currently attached to this seat.

Each Session ID is an D-Bus object path for the object that implements the Session interface.

`sessions`:

  an array of Session IDs

### GetDevices ()

    GetDevices (out 'a(ss)' devices)

This gets a list of all the devices that are currently associated with this seat.

Each device is an D-Bus structure that represents the device type and the device id.

`devices`:

  an array of devices

### GetActiveSession ()

    GetActiveSession (out 'o' ssid)

Gets the Session ID that is currently active on this Seat.

Fails with CK_SEAT_ERROR_NO_ACTIVE_SESSION if there is no active session.

`ssid`:

  Session ID

### CanActivateSessions ()

    CanActivateSessions (out 'b' can_activate)

Used to determine whether the seat supports session activation.

`can_activate`:

  TRUE if seat supports session activation

### ActivateSession ()

    ActivateSession (in  'o' ssid)

Attempt to activate the specified session. In most cases, if successful, this will cause the session to become visible and take control of the hardware that is associated with this seat.

May fail with: CK_SEAT_ERROR_FAILED, CK_SEAT_ERROR_ALREADY_ACTIVE, CK_SEAT_ERROR_NOT_SUPPORTED

`ssid`:

  Session ID

See also: `Activate()`

### SwitchTo ()

    SwitchTo (in  'u' vtnr)

Attempt to activate the specified VT. In most cases, if successful, this will cause the session to become visible and take control of the hardware that is associated with this seat.

May fail with: CK_SEAT_ERROR_FAILED, CK_SEAT_ERROR_ALREADY_ACTIVE, CK_SEAT_ERROR_NOT_SUPPORTED, CK_SEAT_ERROR_GENERAL

Since 1.1.1

`vtnr`:

  Virtual Terminal to switch to.

See also: `Activate()`

## Signal Details

### The ActiveSessionChanged signal

    ActiveSessionChanged ('o' ssid)

Emitted when the active session has changed.

`ssid`:

  Session ID

### The SessionAdded signal

    SessionAdded ('o' ssid)

Emitted when a session has been added to the seat.

`ssid`:

  Session ID

### The SessionRemoved signal

    SessionRemoved ('o' ssid)

Emitted when a session has been removed from the seat.

`ssid`:

  Session ID

### The DeviceAdded signal

    DeviceAdded ('(ss)' device)

Emitted when a device has been associated with the seat.

`device`:

  Device structure

### The DeviceRemoved signal

    DeviceRemoved ('(ss)' device)

Emitted when a device has been dissociated from the seat.

`device`:

  Device structure

## Property Details

### The "name" property

    'name'  read      's'

The Seat's name, such as Seat0

Since 1.1.1